> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post resourcesviewsservice views

> Search for services which match the given Service View Criteria.

This operation requires a Service View Criteria value.

This operation returns a Service View Results value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /resources/views/service-views
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /resources/views/service-views:
    post:
      tags:
        - ResourceViewsService
      description: |-
        Search for services which match the given Service View Criteria.

        This operation requires a Service View Criteria value.

        This operation returns a Service View Results value.
      operationId: searchServiceViews
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sortColumn: ALLOCATION_RELATION
                  discriminator: SRVC
                  sysidStatuses:
                    - 12345
                    - 12345
                  distance: 12345
                  viewport:
                    southwest:
                      lat: 12345
                      lng: 12345
                    northeast:
                      lat: 12345
                      lng: 12345
                  resourceName: ...
                  sysidUserAlloc: 12345
                  sysidAccount: 12345
                  oredCustomAttribs:
                    - stringValue: ...
                      searchType: EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                    - stringValue: ...
                      searchType: EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                  sysidResourceTypes:
                    - 12345
                    - 12345
                  excludedSysidResources:
                    - 12345
                    - 12345
                  sysidDepartments:
                    - 12345
                    - 12345
                  sortAscending: true
                  sysidCategories:
                    - 12345
                    - 12345
                  distanceUnit: miles
                  sysidAllocRelationships:
                    - 12345
                    - 12345
                  longitude: 12345
                  geoSearchEnabled: true
                  latitude: 12345
                  sysidResources:
                    - 12345
                    - 12345
                  andedCustomAttribs:
                    - stringValue: ...
                      searchType: EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                    - stringValue: ...
                      searchType: GREATER_THAN_OR_EQUAL
                      sysidDataType: 12345
                      dateTimeValue:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidAttribute: 12345
                      numberValue: 12345
                      booleanValue: true
                  priceRange:
                    fromPrice: 12345
                    sysidCostUnitType: 12345
                    sysidCurrencyType: 12345
                    toPrice: 12345
                  sysidLocatorNode: 12345
                  exactMatchOnName: true
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/ServiceViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    views:
                      - discriminator: SRVC
                        resourceLocations:
                          - postalCode: ...
                            sysidVenueNode: 12345
                            sysidLocatorNode: 12345
                            address2: ...
                            country: ...
                            address1: ...
                            city: ...
                            venueName: ...
                            stateProvince: ...
                            locationName: ...
                          - postalCode: ...
                            sysidVenueNode: 12345
                            sysidLocatorNode: 12345
                            address2: ...
                            country: ...
                            address1: ...
                            city: ...
                            venueName: ...
                            stateProvince: ...
                            locationName: ...
                        sysidAccount: 12345
                        sysidAccountResource: 12345
                        sysidResourceType: 12345
                        typeDescription: ...
                        fqn: ...
                        sysidResource: 12345
                        sysidCurrencyType: 12345
                        averageRating: 12345
                        sysidStatus: 12345
                        minDurationMinutes: 12345
                        maxDurationMinutes: 12345
                        leadTimeMinutes: 12345
                        images:
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                        sysidCategory: 12345
                        name: ...
                        chargeCodeType: 12345
                        allocRelationship: 12345
                        sysidCostUnitType: 12345
                        price: 12345
                        breakDownMinutes: 12345
                        serialversionuid: 12345
                        setupMinutes: 12345
                        minChargeCodeRequired: 12345
                        maxFutureReservationDays: 12345
                      - discriminator: SRVC
                        resourceLocations:
                          - postalCode: ...
                            sysidVenueNode: 12345
                            sysidLocatorNode: 12345
                            address2: ...
                            country: ...
                            address1: ...
                            city: ...
                            venueName: ...
                            stateProvince: ...
                            locationName: ...
                          - postalCode: ...
                            sysidVenueNode: 12345
                            sysidLocatorNode: 12345
                            address2: ...
                            country: ...
                            address1: ...
                            city: ...
                            venueName: ...
                            stateProvince: ...
                            locationName: ...
                        sysidAccount: 12345
                        sysidAccountResource: 12345
                        sysidResourceType: 12345
                        typeDescription: ...
                        fqn: ...
                        sysidResource: 12345
                        sysidCurrencyType: 12345
                        averageRating: 12345
                        sysidStatus: 12345
                        minDurationMinutes: 12345
                        maxDurationMinutes: 12345
                        leadTimeMinutes: 12345
                        images:
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                          - thumbnailSource: ...
                            height: 12345
                            imageSource: ...
                            sysidResourceImage: 12345
                            width: 12345
                            defaultImage: true
                            name: ...
                            displayOrder: 12345
                            description: ...
                        sysidCategory: 12345
                        name: ...
                        chargeCodeType: 12345
                        allocRelationship: 12345
                        sysidCostUnitType: 12345
                        price: 12345
                        breakDownMinutes: 12345
                        serialversionuid: 12345
                        setupMinutes: 12345
                        minChargeCodeRequired: 12345
                        maxFutureReservationDays: 12345
                    nextStartRow: 12345
                    hasAdditional: true
              schema:
                $ref: '#/components/schemas/ServiceViewWrapper'
          description: ServiceViewResults
components:
  schemas:
    ServiceViewCriteria:
      type: object
      title: ServiceViewCriteria
      allOf:
        - $ref: '#/components/schemas/ResourceViewBaseCriteria'
        - properties:
            sortColumn:
              $ref: '#/components/schemas/ServiceViewSortColumns'
      example:
        sortColumn: PRICE
        discriminator: SRVC
        sysidStatuses:
          - 12345
          - 12345
        distance: 12345
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        resourceName: ...
        sysidUserAlloc: 12345
        sysidAccount: 12345
        oredCustomAttribs:
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: GREATER_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        sysidResourceTypes:
          - 12345
          - 12345
        excludedSysidResources:
          - 12345
          - 12345
        sysidDepartments:
          - 12345
          - 12345
        sortAscending: true
        sysidCategories:
          - 12345
          - 12345
        distanceUnit: miles
        sysidAllocRelationships:
          - 12345
          - 12345
        longitude: 12345
        geoSearchEnabled: true
        latitude: 12345
        sysidResources:
          - 12345
          - 12345
        andedCustomAttribs:
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        priceRange:
          fromPrice: 12345
          sysidCostUnitType: 12345
          sysidCurrencyType: 12345
          toPrice: 12345
        sysidLocatorNode: 12345
        exactMatchOnName: true
        startRow: 12345
        maxRows: 12345
    ServiceViewWrapper:
      type: object
      title: ServiceViewWrapper
      required:
        - hasAdditional
        - nextStartRow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            views:
              type: array
              items:
                $ref: '#/components/schemas/ServiceView'
            nextStartRow:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
      example:
        views:
          - discriminator: SRVC
            resourceLocations:
              - postalCode: ...
                sysidVenueNode: 12345
                sysidLocatorNode: 12345
                address2: ...
                country: ...
                address1: ...
                city: ...
                venueName: ...
                stateProvince: ...
                locationName: ...
              - postalCode: ...
                sysidVenueNode: 12345
                sysidLocatorNode: 12345
                address2: ...
                country: ...
                address1: ...
                city: ...
                venueName: ...
                stateProvince: ...
                locationName: ...
            sysidAccount: 12345
            sysidAccountResource: 12345
            sysidResourceType: 12345
            typeDescription: ...
            fqn: ...
            sysidResource: 12345
            sysidCurrencyType: 12345
            averageRating: 12345
            sysidStatus: 12345
            minDurationMinutes: 12345
            maxDurationMinutes: 12345
            leadTimeMinutes: 12345
            images:
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
            sysidCategory: 12345
            name: ...
            chargeCodeType: 12345
            allocRelationship: 12345
            sysidCostUnitType: 12345
            price: 12345
            breakDownMinutes: 12345
            serialversionuid: 12345
            setupMinutes: 12345
            minChargeCodeRequired: 12345
            maxFutureReservationDays: 12345
          - discriminator: SRVC
            resourceLocations:
              - postalCode: ...
                sysidVenueNode: 12345
                sysidLocatorNode: 12345
                address2: ...
                country: ...
                address1: ...
                city: ...
                venueName: ...
                stateProvince: ...
                locationName: ...
              - postalCode: ...
                sysidVenueNode: 12345
                sysidLocatorNode: 12345
                address2: ...
                country: ...
                address1: ...
                city: ...
                venueName: ...
                stateProvince: ...
                locationName: ...
            sysidAccount: 12345
            sysidAccountResource: 12345
            sysidResourceType: 12345
            typeDescription: ...
            fqn: ...
            sysidResource: 12345
            sysidCurrencyType: 12345
            averageRating: 12345
            sysidStatus: 12345
            minDurationMinutes: 12345
            maxDurationMinutes: 12345
            leadTimeMinutes: 12345
            images:
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
              - thumbnailSource: ...
                height: 12345
                imageSource: ...
                sysidResourceImage: 12345
                width: 12345
                defaultImage: true
                name: ...
                displayOrder: 12345
                description: ...
            sysidCategory: 12345
            name: ...
            chargeCodeType: 12345
            allocRelationship: 12345
            sysidCostUnitType: 12345
            price: 12345
            breakDownMinutes: 12345
            serialversionuid: 12345
            setupMinutes: 12345
            minChargeCodeRequired: 12345
            maxFutureReservationDays: 12345
        hasAdditional: true
        nextStartRow: 12345
    ResourceViewBaseCriteria:
      discriminator: discriminator
      type: object
      title: ResourceViewBaseCriteria
      allOf:
        - $ref: '#/components/schemas/ResourceBaseCriteria'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            sysidStatuses:
              type: array
              items:
                type: integer
      example:
        discriminator: ...
        sysidStatuses:
          - 12345
          - 12345
        distance: 12345
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        resourceName: ...
        sysidUserAlloc: 12345
        sysidAccount: 12345
        oredCustomAttribs:
          - stringValue: ...
            searchType: LESS_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        sysidResourceTypes:
          - 12345
          - 12345
        excludedSysidResources:
          - 12345
          - 12345
        sysidDepartments:
          - 12345
          - 12345
        sortAscending: true
        sysidCategories:
          - 12345
          - 12345
        distanceUnit: kilometers
        sysidAllocRelationships:
          - 12345
          - 12345
        longitude: 12345
        geoSearchEnabled: true
        latitude: 12345
        sysidResources:
          - 12345
          - 12345
        andedCustomAttribs:
          - stringValue: ...
            searchType: GREATER_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        priceRange:
          fromPrice: 12345
          sysidCostUnitType: 12345
          sysidCurrencyType: 12345
          toPrice: 12345
        sysidLocatorNode: 12345
        exactMatchOnName: true
        startRow: 12345
        maxRows: 12345
    ServiceViewSortColumns:
      type: string
      title: ServiceViewSortColumns
      enum:
        - RESOURCE_NAME
        - CATEGORY
        - RESOURCE_TYPE
        - ALLOCATION_RELATION
        - PRICE
    DependentData:
      type: object
      title: DependentData
      example: {}
    ServiceView:
      discriminator: discriminator
      type: object
      title: ServiceView
      allOf:
        - $ref: '#/components/schemas/ResourceViewBase'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            resourceLocations:
              type: array
              items:
                $ref: '#/components/schemas/ResourceViewLocation'
      example:
        discriminator: SRVC
        resourceLocations:
          - postalCode: ...
            sysidVenueNode: 12345
            sysidLocatorNode: 12345
            address2: ...
            country: ...
            address1: ...
            city: ...
            venueName: ...
            stateProvince: ...
            locationName: ...
          - postalCode: ...
            sysidVenueNode: 12345
            sysidLocatorNode: 12345
            address2: ...
            country: ...
            address1: ...
            city: ...
            venueName: ...
            stateProvince: ...
            locationName: ...
        sysidAccount: 12345
        sysidAccountResource: 12345
        sysidResourceType: 12345
        typeDescription: ...
        fqn: ...
        sysidResource: 12345
        sysidCurrencyType: 12345
        averageRating: 12345
        sysidStatus: 12345
        minDurationMinutes: 12345
        maxDurationMinutes: 12345
        leadTimeMinutes: 12345
        images:
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
        sysidCategory: 12345
        name: ...
        chargeCodeType: 12345
        allocRelationship: 12345
        sysidCostUnitType: 12345
        price: 12345
        breakDownMinutes: 12345
        serialversionuid: 12345
        setupMinutes: 12345
        minChargeCodeRequired: 12345
        maxFutureReservationDays: 12345
    ResourceBaseCriteria:
      type: object
      title: ResourceBaseCriteria
      required:
        - sortAscending
        - geoSearchEnabled
        - exactMatchOnName
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            distance:
              type: integer
              format: int32
            viewport:
              $ref: '#/components/schemas/Viewport'
            resourceName:
              type: string
            sysidUserAlloc:
              type: integer
              format: int32
            sysidAccount:
              type: integer
              format: int32
            oredCustomAttribs:
              type: array
              items:
                $ref: '#/components/schemas/CustomAttributeSearch'
            sysidResourceTypes:
              type: array
              items:
                type: integer
            excludedSysidResources:
              type: array
              items:
                type: integer
            sysidDepartments:
              type: array
              items:
                type: integer
            sortAscending:
              type: boolean
            sysidCategories:
              type: array
              items:
                type: integer
            distanceUnit:
              $ref: '#/components/schemas/GeoDistanceUnitType'
            sysidAllocRelationships:
              type: array
              items:
                type: integer
            longitude:
              type: number
            geoSearchEnabled:
              type: boolean
            latitude:
              type: number
            sysidResources:
              type: array
              items:
                type: integer
            andedCustomAttribs:
              type: array
              items:
                $ref: '#/components/schemas/CustomAttributeSearch'
            priceRange:
              $ref: '#/components/schemas/PriceRangeData'
            sysidLocatorNode:
              type: integer
              format: int32
            exactMatchOnName:
              type: boolean
      example:
        distance: 12345
        viewport:
          southwest:
            lat: 12345
            lng: 12345
          northeast:
            lat: 12345
            lng: 12345
        resourceName: ...
        sysidUserAlloc: 12345
        sysidAccount: 12345
        oredCustomAttribs:
          - stringValue: ...
            searchType: LESS_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: GREATER_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        sysidResourceTypes:
          - 12345
          - 12345
        excludedSysidResources:
          - 12345
          - 12345
        sysidDepartments:
          - 12345
          - 12345
        sortAscending: true
        sysidCategories:
          - 12345
          - 12345
        distanceUnit: miles
        sysidAllocRelationships:
          - 12345
          - 12345
        longitude: 12345
        geoSearchEnabled: true
        latitude: 12345
        sysidResources:
          - 12345
          - 12345
        andedCustomAttribs:
          - stringValue: ...
            searchType: GREATER_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
          - stringValue: ...
            searchType: LESS_THAN_OR_EQUAL
            sysidDataType: 12345
            dateTimeValue:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidAttribute: 12345
            numberValue: 12345
            booleanValue: true
        priceRange:
          fromPrice: 12345
          sysidCostUnitType: 12345
          sysidCurrencyType: 12345
          toPrice: 12345
        sysidLocatorNode: 12345
        exactMatchOnName: true
        startRow: 12345
        maxRows: 12345
    ResourceViewBase:
      discriminator: discriminator
      type: object
      title: ResourceViewBase
      required:
        - sysidAccount
        - sysidAccountResource
        - sysidResourceType
        - sysidResource
        - sysidStatus
        - leadTimeMinutes
        - sysidCategory
        - chargeCodeType
        - allocRelationship
        - breakDownMinutes
        - serialversionuid
        - setupMinutes
        - minChargeCodeRequired
        - maxFutureReservationDays
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            sysidAccount:
              type: integer
              format: int32
            sysidAccountResource:
              type: integer
              format: int32
            sysidResourceType:
              type: integer
              format: int32
            typeDescription:
              type: string
            fqn:
              type: string
            sysidResource:
              type: integer
              format: int32
            sysidCurrencyType:
              type: integer
              format: int32
            averageRating:
              type: number
            sysidStatus:
              type: integer
              format: int32
            minDurationMinutes:
              type: integer
              format: int32
            maxDurationMinutes:
              type: integer
              format: int32
            leadTimeMinutes:
              type: integer
              format: int32
            images:
              type: array
              items:
                $ref: '#/components/schemas/ResourceImageData'
            sysidCategory:
              type: integer
              format: int32
            name:
              type: string
            chargeCodeType:
              type: integer
              format: int32
            allocRelationship:
              type: integer
              format: int32
            sysidCostUnitType:
              type: integer
              format: int32
            price:
              type: number
            breakDownMinutes:
              type: integer
              format: int32
            serialversionuid:
              type: integer
              format: int64
            setupMinutes:
              type: integer
              format: int32
            minChargeCodeRequired:
              type: integer
              format: int32
            maxFutureReservationDays:
              type: integer
              format: int32
      example:
        discriminator: ...
        sysidAccount: 12345
        sysidAccountResource: 12345
        sysidResourceType: 12345
        typeDescription: ...
        fqn: ...
        sysidResource: 12345
        sysidCurrencyType: 12345
        averageRating: 12345
        sysidStatus: 12345
        minDurationMinutes: 12345
        maxDurationMinutes: 12345
        leadTimeMinutes: 12345
        images:
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
          - thumbnailSource: ...
            height: 12345
            imageSource: ...
            sysidResourceImage: 12345
            width: 12345
            defaultImage: true
            name: ...
            displayOrder: 12345
            description: ...
        sysidCategory: 12345
        name: ...
        chargeCodeType: 12345
        allocRelationship: 12345
        sysidCostUnitType: 12345
        price: 12345
        breakDownMinutes: 12345
        serialversionuid: 12345
        setupMinutes: 12345
        minChargeCodeRequired: 12345
        maxFutureReservationDays: 12345
    ResourceViewLocation:
      type: object
      title: ResourceViewLocation
      required:
        - sysidVenueNode
        - sysidLocatorNode
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            postalCode:
              type: string
            sysidVenueNode:
              type: integer
              format: int32
            sysidLocatorNode:
              type: integer
              format: int32
            address2:
              type: string
            country:
              type: string
            address1:
              type: string
            city:
              type: string
            venueName:
              type: string
            stateProvince:
              type: string
            locationName:
              type: string
      example:
        postalCode: ...
        sysidVenueNode: 12345
        sysidLocatorNode: 12345
        address2: ...
        country: ...
        address1: ...
        city: ...
        venueName: ...
        stateProvince: ...
        locationName: ...
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    Viewport:
      type: object
      title: Viewport
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            southwest:
              $ref: '#/components/schemas/Southwest'
            northeast:
              $ref: '#/components/schemas/Northeast'
      example:
        southwest:
          lat: 12345
          lng: 12345
        northeast:
          lat: 12345
          lng: 12345
    CustomAttributeSearch:
      type: object
      title: CustomAttributeSearch
      required:
        - sysidDataType
        - sysidAttribute
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            stringValue:
              type: string
            searchType:
              $ref: '#/components/schemas/CustomAttributeSearchType'
            sysidDataType:
              type: integer
              format: int32
            dateTimeValue:
              $ref: '#/components/schemas/AqDate'
            sysidAttribute:
              type: integer
              format: int32
            numberValue:
              type: integer
              format: int64
            booleanValue:
              type: boolean
      example:
        stringValue: ...
        searchType: GREATER_THAN_OR_EQUAL
        sysidDataType: 12345
        dateTimeValue:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidAttribute: 12345
        numberValue: 12345
        booleanValue: true
    GeoDistanceUnitType:
      type: string
      title: GeoDistanceUnitType
      enum:
        - miles
        - kilometers
    PriceRangeData:
      type: object
      title: PriceRangeData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            fromPrice:
              type: number
            sysidCostUnitType:
              type: integer
              format: int32
            sysidCurrencyType:
              type: integer
              format: int32
            toPrice:
              type: number
      example:
        fromPrice: 12345
        sysidCostUnitType: 12345
        sysidCurrencyType: 12345
        toPrice: 12345
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    ResourceImageData:
      type: object
      title: ResourceImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            height:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            imageSource:
              type: string
            displayOrder:
              type: integer
              format: int32
            name:
              type: string
            defaultImage:
              type: boolean
            sysidResourceImage:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            description:
              type: string
      example:
        thumbnailSource: ...
        height: 12345
        imageSource: ...
        sysidResourceImage: 12345
        width: 12345
        defaultImage: true
        name: ...
        displayOrder: 12345
        description: ...
    Southwest:
      type: object
      title: Southwest
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    Northeast:
      type: object
      title: Northeast
      required:
        - lat
        - lng
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            lat:
              type: number
              format: double
            lng:
              type: number
              format: double
      example:
        lat: 12345
        lng: 12345
    CustomAttributeSearchType:
      type: string
      title: CustomAttributeSearchType
      enum:
        - LESS_THAN_OR_EQUAL
        - EQUAL
        - GREATER_THAN_OR_EQUAL
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true

````